commit:     a40546f88e5b50c327e767b8e67c04d582cbb843
Author:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 25 14:04:14 2016 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Mon Jan 25 14:07:07 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a40546f8

cmake-utils.eclass: use default_src_prepare in EAPI 6 and later

 eclass/cmake-utils.eclass | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

diff --git a/eclass/cmake-utils.eclass b/eclass/cmake-utils.eclass
index 7480a14..26c5201 100644
--- a/eclass/cmake-utils.eclass
+++ b/eclass/cmake-utils.eclass
@@ -438,13 +438,16 @@ enable_cmake-utils_src_prepare() {
 
        pushd "${S}" > /dev/null || die
 
-       has "${EAPI:-0}" 6 && _cmake_cleanup_cmake
-
-       debug-print "$FUNCNAME: PATCHES=$PATCHES"
-       [[ ${PATCHES[@]} ]] && epatch "${PATCHES[@]}"
+       if ! has "${EAPI:-0}" 2 3 4 5 ; then
+               default_src_prepare
+               _cmake_cleanup_cmake
+       else
+               debug-print "$FUNCNAME: PATCHES=$PATCHES"
+               [[ ${PATCHES[@]} ]] && epatch "${PATCHES[@]}"
 
-       debug-print "$FUNCNAME: applying user patches"
-       epatch_user
+               debug-print "$FUNCNAME: applying user patches"
+               epatch_user
+       fi
 
        popd > /dev/null || die
 }

Reply via email to